org.apache.ignite.cache.store.cassandra.session

## Interface ExecutionAssistant<R>

- Type Parameters:
    `R` - type of the result returned from operation.

      public interface ExecutionAssistant<R>

  Provides information for single operations (load, delete, write) of Ignite cache backed by `CassandraCacheStore`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.datastax.driver.core.BoundStatement` | `bindStatement(com.datastax.driver.core.PreparedStatement statement)` Binds prepared statement.
    `KeyValuePersistenceSettings` | `getPersistenceSettings()` Persistence settings to use for an operation.
    `String` | `getStatement()` Returns CQL statement to be used for an operation.
    `String` | `getTable()` Cassandra table to use for an operation.
    `String` | `operationName()` Returns operation name.
    `R` | `process(com.datastax.driver.core.Row row)` Processes Cassandra database table row returned by specified CQL statement.
    `boolean` | `tableExistenceRequired()` Indicates if Cassandra table existence is required for an operation.

- - ### Method Detail

    - #### tableExistenceRequired

          boolean tableExistenceRequired()

      Indicates if Cassandra table existence is required for an operation.
      Returns:
        true if table existence required.

    - #### getTable

          String getTable()

      Cassandra table to use for an operation.
      Returns:
        Table name.

    - #### getStatement

          String getStatement()

      Returns CQL statement to be used for an operation.
      Returns:
        CQL statement.

    - #### bindStatement

          com.datastax.driver.core.BoundStatement bindStatement(com.datastax.driver.core.PreparedStatement statement)

      Binds prepared statement.
      Parameters:
        `statement` - prepared statement.
      Returns:
        bound statement.

    - #### getPersistenceSettings

          KeyValuePersistenceSettings getPersistenceSettings()

      Persistence settings to use for an operation.
      Returns:
        persistence settings.

    - #### operationName

          String operationName()

      Returns operation name.
      Returns:
        operation name.

    - #### process

          R process(com.datastax.driver.core.Row row)

      Processes Cassandra database table row returned by specified CQL statement.
      Parameters:
        `row` - Cassandra database table row.
      Returns:
        result of the operation.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023